## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.15.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/opencontainers/image-spec
%global goipath         github.com/opencontainers/image-spec
Version:                1.1.0

%gometa -L -f

%global common_description %{expand:
The OCI Image Format project creates and maintains the software shipping
container image format spec (OCI Image Format).}

%global golicenses      LICENSE
%global godocs          .markdownlint.yml EMERITUS.md GOVERNANCE.md\\\
                        HACKING.md README.md RELEASES.md annotations.md\\\
                        artifacts-guidance.md config.md considerations.md\\\
                        conversion.md descriptor.md image-index.md image-\\\
                        layout.md implementations.md layer.md manifest.md\\\
                        media-types.md project.md spec.md

Name:           golang-github-opencontainers-image-spec
Release:        %autorelease
Summary:        OCI Image Format

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(gopkg.in/russross/blackfriday.v1)

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
sed -i 's|github.com/russross/blackfriday|gopkg.in/russross/blackfriday.v1|' $(find . -iname "*.go" -type f)

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.0-1
- Update to 1.1.0 - Closes rhbz#2192160

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Sérgio M. Basto <sergio@serjux.com> - 1.1.0~rc4-2
- don't remove bits of https://github.com/opencontainers/image-
  spec/commit/ca2e500b1693c5cab0b91866e1f698f5fc70eb5b

* Wed Jul 12 2023 Sérgio M. Basto <sergio@serjux.com> - 1.1.0~rc4-1
- Update to image-spec-1.1.0-rc4

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 05 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0~rc2-1
- Update to 1.1.0~rc2

* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0~rc1-1
- Bump to commit decdb1500673e7ef4fd912e0741f67a49e35d502

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 05 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-4
- Bump to commit 8b9d41f48198a7d6d0a5c1a12dc2d1f7f47fc97f

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 20 2021 Maxwell G <gotmax@e.email> - 1.0.2-1
- Update to 1.0.2. Fixes rhbz#2024388.
- Mitigates CVE-2021-41190. Fixes rhbz#2024938 and rhbz#2024939.

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jul 30 17:39:24 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.1-5.20200730git79b036d
- Bump to commit 79b036d80240ae530a8de15e1d21c7ab9292c693

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 00:08:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.1-1.20190626gitda296dc
- Initial package

## END: Generated by rpmautospec
